






#import "ShadowAirViewController.h"
#import "FormatsPlayButton.h"
#import "InstallsActualViewController.h"
#import "MidToast.h"
#import "AirlineMeanLabel.h"
#import "AppearingTextField.h"
#import "NSString+TiedWorld.h"

@interface ShadowAirViewController ()

@property (nonatomic, strong) AppearingTextField *zipDailyRowTextField;
@property (nonatomic, strong) UITextField *periodTagTextField;
@property (nonatomic, strong) FormatsPlayButton *spanUpperButton;
@property (nonatomic,strong) AirlineMeanLabel *timeDividingLabel;

@end

@implementation ShadowAirViewController

- (FormatsPlayButton *)spanUpperButton {
    if (!_spanUpperButton) {
        _spanUpperButton = [[FormatsPlayButton alloc] init];
    }
    return _spanUpperButton;
}

- (AirlineMeanLabel *)timeDividingLabel {
    if (!_timeDividingLabel) {
        _timeDividingLabel = [AirlineMeanLabel datumBagStakeLabel:NO];
    }
    return _timeDividingLabel;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    
    self.zipDailyRowTextField = [[AppearingTextField alloc] initWithController:self];
    [self.view addSubview:self.zipDailyRowTextField];
    [self.zipDailyRowTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(UserArtRoot.wayAbortLove.supplyOrigin);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    
    
    self.periodTagTextField = [UserArtRoot topSubProjectsWrappersObscuresSixteenCode];
    [self.view addSubview:self.periodTagTextField];
    [self.periodTagTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.zipDailyRowTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.localeAnchor);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    
    overdue(self);
    self.spanUpperButton.rebusAreThreeAction = ^{
        thumbMask(self);
        NSString *stateMileCode = self.zipDailyRowTextField.adverbGrowEasy;
        NSString *sandboxPost = self.zipDailyRowTextField.remainderAudiogramLinerPhraseAmerican;
        if (self.zipDailyRowTextField.zipDailyRowTextField.text.capCovariant) {
            [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
            [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.floorSixTrianglePedometerOverflowFire completion:nil];
            return;
        }
        if ([self.jobIrishBezel respondsToSelector:@selector(middleWhiteNapQuickRowStartedPassiveType:weekendSend:ropeCode:completion:)]) {
            [ActualSkipView bondLocalDiskWindow];
            [self.jobIrishBezel middleWhiteNapQuickRowStartedPassiveType:UserArtRoot.wayAbortLove.sobFilterSamePermanentMagnetic weekendSend:sandboxPost ropeCode:stateMileCode completion:^(id object) {
                [ActualSkipView assistantTensionCarEraFetchWindow];
                if ([object boolValue]) {
                    [MidToast leftAirMin:UserArtRoot.builtOwnSeeEar.dailyTeaspoonsDenseObjectKeepEnhanceCode];
                }else {
                    [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
                }
            }];
        }
    };
    [self.view addSubview:self.spanUpperButton];
    [self.spanUpperButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.periodTagTextField);
        make.height.equalTo(self.periodTagTextField);
        make.left.equalTo(self.periodTagTextField.mas_right).offset(UserArtRoot.wayAbortLove.panGreenSpan);
        make.right.equalTo(self.zipDailyRowTextField);
    }];
    
    
    [self.spanUpperButton setContentHuggingPriority:UILayoutPriorityRequired forAxis:UILayoutConstraintAxisHorizontal];
    
    
    UIButton *sinSymptomSeeButton = [UserArtRoot arrayAuditedDirectorRedoneLongestColor:UserArtRoot.builtOwnSeeEar.lastFloatingHowDifferentExcludedScrolled];
    [sinSymptomSeeButton addTarget:self action:@selector(finalDescendOnlineUsedVendorAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:sinSymptomSeeButton];
    [sinSymptomSeeButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.periodTagTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.localeAnchor);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.textBuddySee);
    }];
    
    [self.view addSubview:self.timeDividingLabel];
    [self.timeDividingLabel setPresetThreeLargestPanoramasSaltSwipe:^{
        thumbMask(self);
        [self retFrontNineModelCollectedKurdishAction];
    }];
    [self.timeDividingLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.bottom.mas_equalTo(-UserArtRoot.wayAbortLove.motionPortal);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.twoBulgarian);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.twoBulgarian);
    }];
}

- (void)finalDescendOnlineUsedVendorAction:(UIButton *)sender {
    if (self.zipDailyRowTextField.zipDailyRowTextField.text.capCovariant) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.floorSixTrianglePedometerOverflowFire completion:nil];
        return;
    }
    if (self.periodTagTextField.text.capCovariant) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.petiteOceanSeventeenEarWet completion:nil];
        return;
    }
    NSString *stateMileCode = self.zipDailyRowTextField.adverbGrowEasy;
    NSString *sandboxPost = self.zipDailyRowTextField.remainderAudiogramLinerPhraseAmerican;
    if ([self.jobIrishBezel respondsToSelector:@selector(exerciseAddReferentExtensionIllEarUsageForbidden:code:ropeCode:completion:)]) {
        [ActualSkipView bondLocalDiskWindow];
        [self.jobIrishBezel exerciseAddReferentExtensionIllEarUsageForbidden:sandboxPost code:self.periodTagTextField.text ropeCode:stateMileCode completion:^(id object) {
            [ActualSkipView assistantTensionCarEraFetchWindow];
        }];
    }
}


- (void)retFrontNineModelCollectedKurdishAction {
    InstallsActualViewController *genericsForm = [InstallsActualViewController new];
    genericsForm.dublinChest = @(YES);
    genericsForm.jobIrishBezel = self.jobIrishBezel;
    [genericsForm setLocallyBackupExclusionPopAngular:^(BOOL result) {
        self.timeDividingLabel.zeroFlipPutEgg = result;
    }];
    [self.navigationController pushViewController:genericsForm animated:NO];
}

- (void)dealloc {
    [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
}
@end
